commit:     be0208ec654fa3530ae5a848feaf10fe33125c39
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Mar 29 12:35:39 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Mar 29 12:35:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=be0208ec

dev-python/pytest-trio: made some progress with the tests

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/pytest-trio-0.5.2.ebuild | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

diff --git a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild 
b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
index b35afa2..8232fa5 100644
--- a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
@@ -3,7 +3,9 @@
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_{6,7} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1
 
@@ -18,6 +20,9 @@ LICENSE="|| ( MIT Apache-2.0 )"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
+# lots of different errors
+RESTRICT="test"
+
 RDEPEND="
        >=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
        dev-python/outcome[${PYTHON_USEDEP}]
@@ -35,3 +40,17 @@ DEPEND="
 
 distutils_enable_tests pytest
 distutils_enable_sphinx docs/source
+
+python_prepare_all() {
+       # AttributeError("module 'pytest' has no attribute 
'RemovedInPytest4Warning'",)
+       rm pytest_trio/_tests/conftest.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # has to be run in source dir
+       PYTHONPATH="${S}"
+       cd "${S}" || die
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to